# Ski Resort Weather API

7-Day Weather forecasts are updated throughout the day for each ski resort. Forecasts are provided at the base, at the summit, and for some resorts mid mountain. Note all forecast data returns data in metric values. Wind speed is returned in m/s. Wind direction is measured in degrees clockwise from north (e.g. 90 = east).

### Daily Weather Forecasts

## GET /resort/{resortId}/weather/daily

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortWeatherDaily":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resort/{resortId}/weather/daily":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortWeatherDaily"}}}}}}}}}
```

### Hourly Weather Forecasts <a href="#hourly-weather-forecasts" id="hourly-weather-forecasts"></a>

## GET /resort/{resortId}/weather/hourly

>

```json
{"openapi":"3.0.1","info":{"title":"partner-api","version":"1.0"},"servers":[{"url":"https://partner-api.onthesnow.com"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ResortWeatherHourly":{"required":["base","summit","weatherItems"],"type":"object","properties":{"weatherItems":{"type":"array","items":{"required":["base","datetime","summit"],"type":"object","properties":{"datetime":{"type":"string","description":"ISO 8601 date with time"},"mid":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}},"summit":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number","description":"Wind speed in meters/second"},"direction":{"type":"number"}}}}},"base":{"required":["snow","temp","type","wind"],"type":"object","properties":{"temp":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"}}},"snow":{"type":"object","properties":{"density":{"type":"number"},"snowfall":{"type":"number"},"probability":{"type":"number"},"snowline":{"type":"number"}}},"type":{"$ref":"#/components/schemas/WeatherType"},"wind":{"type":"object","properties":{"gusts":{"type":"number"},"speed":{"type":"number"},"direction":{"type":"number"}}}}}},"description":"Historical Weather Item"}},"summit":{"type":"number"},"url":{"type":"string"},"base":{"type":"number"}}},"WeatherType":{"type":"string","description":"* SUN\n* LUNE\n* MOSTLY_SUNNY\n* SLIGHTLY_CLOUDY\n* CLOUDY\n* RAIN\n* SLEET\n* SNOW\n* RAIN_SHOWERS\n* SNOW_SHOWERS\n* SLEET_SHOWERS\n* OVERCAS\n* FOG\n* THUNDERSTORM\n* LIGHT_RAIN\n","enum":["SUN","LUNE","MOSTLY_SUNNY","SLIGHTLY_CLOUDY","CLOUDY","RAIN","SLEET","SNOW","RAIN_SHOWERS","SNOW_SHOWERS","SLEET_SHOWERS","OVERCAS","FOG","THUNDERSTORM","LIGHT_RAIN"]}}},"paths":{"/resort/{resortId}/weather/hourly":{"get":{"parameters":[{"name":"resortId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResortWeatherHourly"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://partner.docs.onthesnow.com/api-reference/ski-resort-weather-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
